## Apache Zeta Components Manual :: Docs For Class ezcMvcRequestCookie

### MvcTools::ezcMvcRequestCookie

### Class ezcMvcRequestCookie

This struct contains cookie arguments

Source for this file: /MvcTools/src/structs/request_cookie.php

    ezcBaseStruct
       |
       --ezcMvcRequestCookie

Version: | //autogentag//

### Member Variables

public string | `$name` Cookie name
public string | `$value` Cookie value

### Method Summary

public static ezcMvcResultCache | `__set_state( $array )` Returns a new instance of this class with the data specified by $array.
public ezcMvcRequestCookie | `__construct( [ $name = ''] , [ $value = ''] )` Constructs a new ezcMvcRequestCookie.

### Methods

#### __set_state

static ezcMvcResultCache __set_state( $array )

Returns a new instance of this class with the data specified by $array.

$array contains all the data members of this class in the form: array('member_name'=>value).

__set_state makes this class exportable with var_export. var_export() generates code, that calls this method when it is parsed with PHP.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$array` | array(string=>mixed) |

#### __construct

ezcMvcRequestCookie __construct( [string $name = ''] , [string $value = ''] )

Constructs a new ezcMvcRequestCookie.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$name` | string |
`$value` | string |

Documentation generated by phpDocumentor 1.4.3